read(3pm)

NAME
OpaL::read - Perl extension for reading files and commands.

SYNOPSIS
  use OpaL::read qw(functions);

No functions or variables are exported automaticly so you have to specify them here.

DESCRIPTION
OpaL::read is used for reading files and commands.

All functions are autoloaded so they will not be loaded into memory if you have not used them before.

FUNCTIONS

readfile
    Reads the content of the specified file and returns a list with the all lines.

    USAGE:
        @foo = "readfile"($filename);

readfileline
    Reads the first line of the specified file and returns a scalar with that line.

    USAGE:
        $foo = "readfileline"($filename);

readscalarfile
    Reads the content of the specified file and returns a scalar with the entire content.

    USAGE:
        $foo = "readscalarfile"("filename");

readcommand
    Reads the content from the output of the specified command and returns a list with the all lines.

    USAGE:
        @foo = "readcommand"("command");

readcommandline
    Reads the first line from output of the specified command and returns a scalar with that line.

    USAGE:
        $foo = "readcommandline"("command)";

readscalarfile
    Reads the content for the output of the specified file and returns a scalar with the entire content.

    USAGE:
        $foo = "readscalarcommand"($command);

AUTHOR
Ola Lundqvist <ola@inguza.com>

SEE ALSO
perl(1).